------------------------------------------------------------
-- VHDL FPGAMFO10
-- 2021 9 2 10 12 26
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO10
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAMFO10 Is
  port
  (
    ACLK      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACLK
    ACNV      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACNV
    AIN       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=AIN
    CLK       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CLK
    CNT       : In    STD_LOGIC_VECTOR(25 Downto 0);         -- ObjectKind=Port|PrimaryId=CNT[25..0]
    START     : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=START
    VCXO_CTRL : Out   STD_LOGIC_VECTOR(15 Downto 0)          -- ObjectKind=Port|PrimaryId=VCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGAMFO10;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO10 Is
   Component CB8RLES                                         -- ObjectKind=Part|PrimaryId=U216|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D3
        D4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D4
        D5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D5
        D6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D6
        D7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-D7
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-Q7
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U216-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U216-TC
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U213|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U213-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U213-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U213-Q
      );
   End Component;

   Component FDC                                             -- ObjectKind=Part|PrimaryId=U212|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U212-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U212-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U212-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U212-Q
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U215|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U215-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U215-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U215-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U215-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U215-Q
      );
   End Component;

   Component FJKCN                                           -- ObjectKind=Part|PrimaryId=U214|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U214-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U214-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U214-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U214-K
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U214-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U214-QN
      );
   End Component;

   Component SR16REB                                         -- ObjectKind=Part|PrimaryId=U217|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U217-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U217-CE
        Q   : out STD_LOGIC_VECTOR(15 Downto 0);             -- ObjectKind=Pin|PrimaryId=U217-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U217-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U217-SLI
      );
   End Component;


    Signal NamedSignal_ACLK  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal NamedSignal_CNT   : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_U212_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU212_Q
    Signal PinSignal_U213_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU213_Q
    Signal PinSignal_U214_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACNV
    Signal PinSignal_U214_QN : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU214_QN
    Signal PinSignal_U215_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal PinSignal_U216_Q5 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU215_J
    Signal PinSignal_U216_TC : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU214_K
    Signal PinSignal_U217_Q  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PowerSignal_GND   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U217 : SR16REB                                           -- ObjectKind=Part|PrimaryId=U217|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_ACLK,                             -- ObjectKind=Pin|PrimaryId=U217-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U217-CE
        Q   => PinSignal_U217_Q,                             -- ObjectKind=Pin|PrimaryId=U217-Q[15..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U217-R
        SLI => AIN                                           -- ObjectKind=Pin|PrimaryId=U217-SLI
      );

    U216 : CB8RLES                                           -- ObjectKind=Part|PrimaryId=U216|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CNT(5),                            -- ObjectKind=Pin|PrimaryId=U216-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U216-CE
        D0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U216-D0
        D1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U216-D1
        D2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U216-D2
        D3 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U216-D3
        D4 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U216-D4
        D5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U216-D5
        D6 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U216-D6
        D7 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U216-D7
        L  => PinSignal_U214_QN,                             -- ObjectKind=Pin|PrimaryId=U216-L
        Q5 => PinSignal_U216_Q5,                             -- ObjectKind=Pin|PrimaryId=U216-Q5
        R  => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U216-R
        TC => PinSignal_U216_TC                              -- ObjectKind=Pin|PrimaryId=U216-TC
      );

    U215 : FJKC                                              -- ObjectKind=Part|PrimaryId=U215|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U215-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U215-CLR
        J   => PinSignal_U216_Q5,                            -- ObjectKind=Pin|PrimaryId=U215-J
        K   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U215-K
        Q   => PinSignal_U215_Q                              -- ObjectKind=Pin|PrimaryId=U215-Q
      );

    U214 : FJKCN                                             -- ObjectKind=Part|PrimaryId=U214|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U214-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U214-CLR
        J   => PinSignal_U213_Q,                             -- ObjectKind=Pin|PrimaryId=U214-J
        K   => PinSignal_U216_TC,                            -- ObjectKind=Pin|PrimaryId=U214-K
        Q   => PinSignal_U214_Q,                             -- ObjectKind=Pin|PrimaryId=U214-Q
        QN  => PinSignal_U214_QN                             -- ObjectKind=Pin|PrimaryId=U214-QN
      );

    U213 : FD                                                -- ObjectKind=Part|PrimaryId=U213|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(5),                             -- ObjectKind=Pin|PrimaryId=U213-C
        D => PinSignal_U212_Q,                               -- ObjectKind=Pin|PrimaryId=U213-D
        Q => PinSignal_U213_Q                                -- ObjectKind=Pin|PrimaryId=U213-Q
      );

    U212 : FDC                                               -- ObjectKind=Part|PrimaryId=U212|SecondaryId=1
      Port Map
      (
        C   => START,                                        -- ObjectKind=Pin|PrimaryId=U212-C
        CLR => PinSignal_U214_Q,                             -- ObjectKind=Pin|PrimaryId=U212-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U212-D
        Q   => PinSignal_U212_Q                              -- ObjectKind=Pin|PrimaryId=U212-Q
      );

    -- Signal Assignments
    ---------------------
    ACLK             <= NamedSignal_ACLK; -- ObjectKind=Net|PrimaryId=ACLK
    ACNV             <= PinSignal_U214_Q; -- ObjectKind=Net|PrimaryId=ACNV
    NamedSignal_ACLK <= PinSignal_U215_Q; -- ObjectKind=Net|PrimaryId=ACLK
    NamedSignal_CNT  <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    PowerSignal_GND  <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC  <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    VCXO_CTRL        <= PinSignal_U217_Q; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]

End Structure;
------------------------------------------------------------

