------------------------------------------------------------
-- VHDL LeapCtrl
-- 2021 9 2 10 12 22
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL LeapCtrl
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity LeapCtrl Is
  port
  (
    AIN    : In    STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Port|PrimaryId=AIN[31..0]
    AOUT   : Out   STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Port|PrimaryId=AOUT[31..0]
    LEAP   : Out   STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Port|PrimaryId=LEAP[15..0]
    LEAPIN : In    STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Port|PrimaryId=LEAPIN[15..0]
    MASTER : In    STD_LOGIC                                 -- ObjectKind=Port|PrimaryId=MASTER
  );
  attribute MacroCell : boolean;


End LeapCtrl;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of LeapCtrl Is
   Component Configurable_U170                               -- ObjectKind=Part|PrimaryId=U170|SecondaryId=1
      port
      (
        I    : in  STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U170-I[31..0]
        O0_B : out STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Pin|PrimaryId=U170-O0_B[15..0]
        O1_B : out STD_LOGIC_VECTOR(15 Downto 0)             -- ObjectKind=Pin|PrimaryId=U170-O1_B[15..0]
      );
   End Component;

   Component Configurable_U171                               -- ObjectKind=Part|PrimaryId=U171|SecondaryId=1
      port
      (
        I0_B : in  STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Pin|PrimaryId=U171-I0_B[15..0]
        I1_B : in  STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Pin|PrimaryId=U171-I1_B[15..0]
        O    : out STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U171-O[31..0]
      );
   End Component;

   Component M16_B2B1                                        -- ObjectKind=Part|PrimaryId=U165|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(15 Downto 0);              -- ObjectKind=Pin|PrimaryId=U165-A[15..0]
        B  : in  STD_LOGIC_VECTOR(15 Downto 0);              -- ObjectKind=Pin|PrimaryId=U165-B[15..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U165-S0
        Y  : out STD_LOGIC_VECTOR(15 Downto 0)               -- ObjectKind=Pin|PrimaryId=U165-Y[15..0]
      );
   End Component;


    Signal PinSignal_U165_Y    : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    Signal PinSignal_U170_O0_B : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=NetU165_A[15..0]
    Signal PinSignal_U170_O1_B : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=NetU170_O1_B[15..0]
    Signal PinSignal_U171_O    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=AOUT[31..0]


Begin
    U171 : Configurable_U171                                 -- ObjectKind=Part|PrimaryId=U171|SecondaryId=1
      Port Map
      (
        I0_B => PinSignal_U165_Y,                            -- ObjectKind=Pin|PrimaryId=U171-I0_B[15..0]
        I1_B => PinSignal_U170_O1_B,                         -- ObjectKind=Pin|PrimaryId=U171-I1_B[15..0]
        O    => PinSignal_U171_O                             -- ObjectKind=Pin|PrimaryId=U171-O[31..0]
      );

    U170 : Configurable_U170                                 -- ObjectKind=Part|PrimaryId=U170|SecondaryId=1
      Port Map
      (
        I    => AIN,                                         -- ObjectKind=Pin|PrimaryId=U170-I[31..0]
        O0_B => PinSignal_U170_O0_B,                         -- ObjectKind=Pin|PrimaryId=U170-O0_B[15..0]
        O1_B => PinSignal_U170_O1_B                          -- ObjectKind=Pin|PrimaryId=U170-O1_B[15..0]
      );

    U165 : M16_B2B1                                          -- ObjectKind=Part|PrimaryId=U165|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U170_O0_B,                           -- ObjectKind=Pin|PrimaryId=U165-A[15..0]
        B  => LEAPIN,                                        -- ObjectKind=Pin|PrimaryId=U165-B[15..0]
        S0 => MASTER,                                        -- ObjectKind=Pin|PrimaryId=U165-S0
        Y  => PinSignal_U165_Y                               -- ObjectKind=Pin|PrimaryId=U165-Y[15..0]
      );

    -- Signal Assignments
    ---------------------
    AOUT <= PinSignal_U171_O; -- ObjectKind=Net|PrimaryId=AOUT[31..0]
    LEAP <= PinSignal_U165_Y; -- ObjectKind=Net|PrimaryId=LEAP[15..0]

End Structure;
------------------------------------------------------------

